Quassel IRC - Feature #65

Sort nicklist (and tabcomplete) by most-recently-used
12/20/2007 07:11 PM - Sputnick

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.5.0

0S: Any

Description

Having a MRU-sorted nicklist could be quite handy. Even more important would be that tab completion offers the last active nick as
the first choice. This is a feature of WeeChat and other clients, and it's very useful. Actually that explains why tab completion in
WeeChat works so well for me :)

Related issues:
Related to Quassel IRC - Feature #443: Tab completion should show list of pos... Assigned
Has duplicate Quassel IRC - Bug #476: TAB-Completion should use last used nic... Rejected 01/10/2009

Associated revisions

Revision 865638f28fa7824f98ac3b438763aed5124d58ee - 02/25/2009 06:45 PM - Manuel Nickschas
Smart tab completion!

This prefers nicks that you addressed last, followed by nicks that last spoke in the channel.

This is a preliminary implementation; we'll modelify this soon and do more interesting things.

But for now, this gives you a feature many of you have waited a long time for :)

Fixes #65.

Revision 865638f2 - 02/25/2009 06:45 PM - Manuel Nickschas

Smart tab completion!

This prefers nicks that you addressed last, followed by nicks that last spoke in the channel.

This is a preliminary implementation; we'll modelify this soon and do more interesting things.

But for now, this gives you a feature many of you have waited a long time for :)

Fixes #65.

History

#1 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/10/2009 03:51 PM - Sputnick

- Tracker changed from Bug to Feature

#3 - 02/05/2009 12:50 AM - Sputnick
- Assignee set to Sputnick

- Target version set to 0.5.0

#4 - 02/05/2009 12:50 AM - Sputnick

- Status changed from New to Assigned

#5 - 02/12/2009 12:18 AM - Sputnick
- OS set to Any

Implementation idea (thus | won't forget):

- Add LastActivityRole
- NetworkModel::data(LastActivityRole) should return a QHash<Bufferld, QDateTime>
- NickCompletionFilter should transform that data() to a timestamp applying to the current list (merged buffers!) of bufferids
- Set that as SortRole to have the NickCompletionFilter sorted automatically (should be cheap enough for the few matching nicks)

#6 - 02/25/2009 07:02 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 865638f28fa7824f98ac3b438763aed5124d58ee.
